spam_int = CreateConVar("menu_spam",5,FCVAR_ARCHIVE)
spam_rp = CreateConVar("spam_chat_rp",0,FCVAR_ARCHIVE)
spam_mode = CreateConVar("spam_chat_prefix","/ooc",FCVAR_ARCHIVE)

euro = {
	"u both are bad",
	"L000L NOOB CANT EVEN KILL ME",
	"LOOL",
	"ahahaha",
	"noooooob",
	"heh...",
	"hyeh",
	"noob",
	"FAGGOT",
	"get owned",
	"im waiting...",
	"time for u to bsdie",
	"u will not survive this",
	"u underestimate my power..",
	"prepare..",
	"im afraid your weapon cant pierce my armour",
	"if not my weapon then my MIND will pierce you",
	"die noob",
	"nice try.. now watch a real pro",
	"ur done",
	"uve been added to my list.. heh",
	"u will never kill or damage me",
	"ur useless in all aspects of attack",
	"i will kill you again and again",
	"i dont argue with children",
	"noob",
	"nobody likes u",
	"do u even know what a sine wave is idiot",
	"hyeh bet u kids dont know what a sine wave is ;)",
	"i knew that",
	"i know.",
	"FOOL, u think curl will protect u?!",
	"who cares",
	"i dont like u",
	"ur comepletely useless",
	"heh ur shit at combat",
	"im a melee demon",
	"im the best at combat",
	"you are so lame",
	"my armor is impenetrable",
	"you are fucking noob",
	"good luck killing me",
	"ur rubbish",
	"its time Too unleash my true power," ,
	"do you even know what a calculator is",
	"do you even know what a noob is",
	"its time Too kill,",
	"initalizing Gentoo",
	"do you even know what a kernel is",
	"i will kill you again and again",
	"do you even know what a Gentoo is",
	"shut up noob",
	"you cant even do anything on gmod idiot",
	"therfore your words are now dumb",
	"heh.... not smart of u..",
	"u can't do it without calculator idiot...",
	"i see...",
	"pleeeeeeeeex~...",
	"heh... look how paranoid u are noob..",
	"u mispelled noob idiot",
	"ur a joke",
	
}

local chatspam = false

local chatspam_team = false


timer.Create("chatspam",15,0, function()
	if chatspam then
		if spam_rp:GetInt() == 0 then
		RunGameUICommand("engine say " .. table.Random(euro))
		elseif spam_rp:GetInt() == 1 then
		RunGameUICommand("engine say " .. spam_mode:GetString().." "  .. table.Random(euro))
		end
			
	end
	
end)

timer.Create("chatspam_team",15,0, function()
	if chatspam_team then
		if spam_rp:GetInt() == 0 then
		RunGameUICommand("engine say_team " .. table.Random(euro))
		elseif spam_rp:GetInt() == 1 then
		RunGameUICommand("engine say_team " .. spam_mode:GetString().." "  .. table.Random(euro))
		end
		
	end
	
end)
	
			

concommand.Add("spam_chat", function(p,c,a,r)
	chatspam = !chatspam
	chatspam_team = false
end)

concommand.Add("spam_chat_team", function(p,c,a,r)
	chatspam_team = !chatspam_team
	chatspam = false
end)

concommand.Add("menu_remove_msg", function(p,c,a,r)
	if (!a[1]) then
		PrintTable(euro)
		return
	end
euro[r] = nil

end)
	